All Classes Files Functions Variables Enumerations Enumerator
BeagleResource Struct Reference

Description of a hardware resource. More...

`#include <beagle.h>`

## Public Attributes

char * | name
char * | description
long | supportFlags
long | requiredFlags

## Detailed Description

Description of a hardware resource.

## Member Data Documentation

char* BeagleResource::description

Description of resource as a NULL-terminated character string

char* BeagleResource::name

Name of resource as a NULL-terminated character string

long BeagleResource::requiredFlags

Bit-flags that identify resource type

long BeagleResource::supportFlags

Bit-flags of supported capabilities on resource

The documentation for this struct was generated from the following file:

- libhmsbeagle/beagle.h